package com.autentia.citas.view;

import java.util.List;
import javax.ejb.EJB;
import javax.faces.bean.ManagedBean;
import javax.faces.bean.SessionScoped;
import com.autentia.citas.managers.CitasManager;
import com.autentia.citas.model.Cita;
import com.autentia.citas.model.Contacto;

@ManagedBean
@SessionScoped
public class CitasController {
	
	private Cita cita;
	
	private Contacto contacto;	
	
	@EJB
	private CitasManager mgr;
	
	public List<Cita> getAllCitas() {
		return mgr.getAllCitas();
	}
	
	
	public List<Contacto> getAllContactos() {		
		return mgr.getAllContactos();
	}
	
	
	public Cita getCita() {
		return cita;
	}

	public Contacto getContacto() {
		return contacto;
	}

	public void setContacto(Contacto contacto) {
		this.contacto = contacto;
	}


	public void setCita(Cita cita) {
		this.cita = cita;
	}


	public String newCita() {
		cita = new Cita();		
		return "newCita.xhtml";
	}
	
	public String saveCita() {
		mgr.citarme(contacto, cita);
		return "home.xhtml";
	}
	
}
